Automated Build Generator - Feature #2004

Support analysis of projects referenced with Maven sub modules

09/16/2014 01:52 PM - S. Wrede

Status: Resolved Start date: 09/16/2014
Priority: Normal Due date:

Assignee: J. Moringen % Done: 100%
Category: Project Analysis Estimated time: 0.00 hour
Target version: 0.3

Description

Issue identified and explained in https://projects.cit-ec.uni-bielefeld.de/issues/3877

Associated revisions

Revision 281bf88e - 09/24/2014 08:25 PM - J. Moringen
Support Maven "sub-modules" in src/analysis/maven.lisp
fixes #2004
- src/analysis/maven.lisp (analyze pathname eql :maven): if there is a

"modules” element, recursively process sub-modules and return the

respective unions of all requires and provides entries

History

#1 - 09/24/2014 08:17 PM - J. Moringen
- Status changed from New to In Progress
- Target version set to 0.3

#2 - 09/24/2014 08:26 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:281bf88e2c613dc5c5b8c54e9b88204beb4abafd.
